org.apache.hadoop.hdfs.inotify

## Class MissingEventsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.hdfs.inotify.MissingEventsException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class MissingEventsException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingEventsException()`
    `MissingEventsException(long expectedTxid, long actualTxid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getActualTxid()`
    `long` | `getExpectedTxid()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingEventsException

          public MissingEventsException()

    - #### MissingEventsException

          public MissingEventsException(long expectedTxid,
                                        long actualTxid)

  - ### Method Detail

    - #### getExpectedTxid

          public long getExpectedTxid()

    - #### getActualTxid

          public long getActualTxid()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2022 Apache Software Foundation. All rights reserved.